#ifdef VERSION
	#define __LINUX__
#else
	#define VERSION "1.24(WIN32)"
#endif

#ifdef __CYGWIN32__
        #undef __LINUX__
#endif

#ifdef _WIN32
	#define pthread_mutex_t HANDLE
	#define pthread_t HANDLE
	#define lget_from_stream(x) lget_from_stream()
	#define sleep(x) Sleep((x)*1000)
#ifndef __CYGWIN32__
	#define strcasecmp _stricmp
	#define strncasecmp _strnicmp
	#define vsnprintf _vsnprintf
	#define S_IFDIR _S_IFDIR
	#define _POSIX_PATH_MAX 255
#else
	#define Win32_Winsock
	#define vsnprintf(a,b,c,d) vsprintf(a,c,d)
	typedef unsigned long long UINT64;
	typedef long long INT64;
#endif
	#define usleep(x) Sleep((x)/1000)
	#define write _write
	#define socklen_t int
	#define socklen_t int
	#define S_IFDIR _S_IFDIR
	#define _USB_LCD 1
	#define FMT_UINT64 "%I64u"
    
#else
        #define INVALID_HANDLE_VALUE -1
	#define SOCKET int
	#define HANDLE int
	#define DWORD unsigned int
        #define WINAPI
	#define LPVOID void*
	#define closesocket close
	#define FMT_UINT64 "%Lu"
	typedef unsigned long long UINT64;
	typedef long long INT64;
	typedef unsigned char UCHAR;
	typedef unsigned long ULONG, *PULONG;
	#define DeviceIoControl(fd, ctl, argin, arglenin, argout, arglenout, retlen, overlap) !ioctl(fd, ctl, argout)
	#define CloseHandle close
	#define _USB_LCD 1
#endif
